Skip to main content
`Ctrl`+`K`

# MatShellSetVecType

Sets the `VecType` of `Vec` returned by `MatCreateVecs()`

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatShellSetVecType(Mat mat, VecType vtype)

Logically Collective

## Input Parameters

- mat - the `MATSHELL` shell matrix

- vtype - type to use for creating vectors

## See Also

Matrices, `Mat`, `MATSHELL`, `MatCreateVecs()`

## Level

advanced

## Location

src/mat/impls/shell/shell.c

## Implementations

MatShellSetVecType_Shell() in src/mat/impls/shell/shell.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages